unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  StdCtrls, ComCtrls, ExtCtrls, DbDlgUnit, Grids, DBGrids, Db, DBTables,
  Buttons;

type
  TForm1 = class(TForm)
    StatusBar1: TStatusBar;
    DataSource1: TDataSource;
    Table1: TTable;
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    OpenBtn: TSpeedButton;
    CloseBtn: TSpeedButton;
    ExitBtn: TSpeedButton;
    procedure OpenBtnClick(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ExitBtnClick(Sender: TObject);
  private


  public

  end;

var
  Form1: TForm1;

implementation



{$R *.DFM}


procedure TForm1.OpenBtnClick(Sender: TObject);
begin
  if DbDlgFrm.ShowModal = mrOk then
  begin
    Screen.Cursor:= crHourGlass;
    if Table1.Active then
      Table1.Close;
    Table1.DatabaseName:= DbDlgFrm.cbDatabaseName.Text;
    Table1.TableName:= DbDlgFrm.edTableName.Text;
    Table1.Open;
    Screen.Cursor:= crDefault;
  end;
end;

procedure TForm1.CloseBtnClick(Sender: TObject);
begin
  Table1.Close;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if Table1.Active then
    Table1.Close;
  Action:= caFree;
end;

procedure TForm1.ExitBtnClick(Sender: TObject);
begin
  Close;
end;

end.
